;*I**************************************************************************
; NAME:             hex_cmd.inc
;----------------------------------------------------------------------------
; CREATED_BY:       F. FOSSE
; COMPANY:          ATMEL-WM
; CREATION_DATE:    28/04/2001
; AUTHOR:           $author: $
; REVISION:         $version: $
; DATE:             $date: $
;----------------------------------------------------------------------------
; PURPOSE:          This file contains the hex command type  definition
;
;----------------------------------------------------------------------------
; NOTES:
;
;****************************************************************************
; CHANGES:          
;
;****************************************************************************

$SAVE
$NOLIST


;_____ I N C L U D E S ____________________________________________________


;_____ M A C R O S ________________________________________________________

; *** HEX LINE DATA SIZE ***

HEX_BUFFER_SIZE             EQU 128


; *** HEX LINE TYPE DEFINITION ***

HEX_TYPE_PROGRAM_DATA       EQU 000h
HEX_TYPE_END_OF_FILE        EQU 001h
HEX_TYPE_SPECIFY_OSC        EQU 002h
HEX_TYPE_WRITE_FUNCTION     EQU 003h
HEX_TYPE_DISPLAY_FUNCTION   EQU 004h
HEX_TYPE_READ_FUNCTION      EQU 005h
HEX_TYPE_DIRECT_LOAD_BR     EQU 006h
HEX_TYPE_PROGRAM_EEPROM     EQU 007h

; HEX_TYPE_WRITE_FUNCTION parameters
HEX_WRITE_BLOCK_ERASE       EQU 001h
HEX_WRITE_START_APPLICATION EQU 003h
HEX_WRITE_ERASE_SBV_BSB     EQU 004h
HEX_WRITE_PROG_SSB          EQU 005h
HEX_WRITE_PROG_BSB_SBV      EQU 006h
HEX_WRITE_FULL_CHIP_ERASE   EQU 007h
HEX_WRITE_PROG_FUSE         EQU 00Ah

; HEX_WRITE_BLOCK_ERASE parameters
HEX_BLOCK0_SELECT           EQU 000h
HEX_BLOCK1_SELECT           EQU 020h
HEX_BLOCK2_SELECT           EQU 040h
HEX_BLOCK3_SELECT           EQU 080h
HEX_BLOCK4_SELECT           EQU 0C0h

; HEX_TYPE_DISPLAY_FUNCTION parameters
HEX_DISPLAY_DATA_FLASH      EQU 000h
HEX_DISPLAY_BLANK_CHECK     EQU 001h
HEX_DISPLAY_DATA_EEPROM     EQU 002h


;_____ D E F I N I T I O N ________________________________________________


;_____ D E C L A R A T I O N ______________________________________________


$RESTORE
